## nvidia-settings 450.66

=== debian/changelog ===
nvidia-settings (450.66-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Sep 2020 12:42:59 -0700

nvidia-settings (450.66-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 450.66.
  * conditionalize-gtk2.patch: New, support building without GTK+ 2.
  * Build only the GTK+ 3 variant.  (Closes: #967658)

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 07 Sep 2020 01:41:50 +0200

=== debian/control ===
Source: nvidia-settings
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev | libgl-dev,
               libgtk-3-dev,
               libjansson-dev,
               libvdpau-dev (>= 0.9),
               libxv-dev,
               libxxf86vm-dev,
               m4,
               pkg-config,
               xserver-xorg-dev
Build-Conflicts: libxnvctrl-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git

Package: nvidia-settings
Section: contrib/x11
Architecture: amd64 arm64
Pre-Depends: nvidia-installer-cleanup
Depends: libxnvctrl0 (= ${binary:Version}),
         ${misc:Depends},
         ${nvidia}-alternative,
         ${shlibs:Depends}
Recommends: lib${nvidia}-ml1,
            libgl1-${nvidia}-glvnd-glx,
            ${nvidia}-vdpau-driver
Provides: nvidia-settings-gtk-${nvidia:Version}
Conflicts: nvidia-settings-gtk-${nvidia:Version}
Description: tool for configuring the NVIDIA graphics driver${nvidia:VariantDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NV-CONTROL X extension (runtime library)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
 .
 This package contains the shared library.

Package: libxnvctrl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libxnvctrl0 (= ${binary:Version}), ${misc:Depends}
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
export OUTPUTDIR	 = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif

export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_TESLA		?=
NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
variant			 = $(if $(NVIDIA_TESLA),tesla-$(NVIDIA_TESLA),$(if $(NVIDIA_LEGACY),legacy-$(NVIDIA_LEGACY)xx))
variant_description	 = $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA) version),$(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version)))
-variant		 = $(if $(variant),-$(variant))
nvidia			 = nvidia$(-variant)
nvidia_private		 = nvidia/$(if $(variant),$(variant),current)
watch_version		?= $(or $(NVIDIA_TESLA),$(NVIDIA_LEGACY))

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
VARIANT_CONTROL	:= $(wildcard debian/nvidia-settings$(-variant).*)
RENAME_CONTROL	 = $(filter-out $(VARIANT_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(-variant).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOGEN		+= debian/substvars
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

ifeq (,$(filter nvidia-settings,$(shell dh_listpackages)))
override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl

override_dh_auto_install:
else
override_dh_auto_build: $(AUTOGEN)
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build --sourcedirectory=src/libXNVCtrl
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(-variant).png
endif

execute_after_dh_auto_clean:
	$(MAKE) -C samples clean
	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'nvidia=$(nvidia)' \
		-V'nvidia:VariantDesc=$(variant_description)' \
		-V'nvidia:Version=$(NVIDIA_RELEASE)'

override_dh_strip:
	dh_strip --no-automatic-dbgsym

# used by dpkg-genchanges
debian/substvars:
	echo 'nvidia:VariantDesc=$(variant_description)' > $@


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#VARIANT#}{$(-variant)}g;' \
		-e 's{#VARIANT_DESC#}{$(variant_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for variant packaging
ifneq (,$(variant))
nvidia-settings$(-variant).%: nvidia-settings.%
	cp -a $< $@
endif

## nvidia-settings 450.80.02

=== debian/changelog ===
nvidia-settings (450.80.02-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Nov 2020 10:21:17 -0800

nvidia-settings (450.80.02-1) unstable; urgency=medium

  * New upstream release 450.80.02.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 16:33:07 +0100

## nvidia-settings 455.45.01

=== debian/changelog ===
nvidia-settings (455.45.01-1) unstable; urgency=medium

  * New upstream release 455.45.01.
  * New upstream release 455.38.
    - Fixed a bug in nvidia-settings that caused the SLI Mosaic Configuration
      dialog to position available displays incorrectly when enabling SLI
      Mosaic.
  * New upstream release 455.28.
    - Moved layout configuration of SLI Mosaic displays in nvidia-settings from
      its own dedicated page to a dialog available on the X Server Display
      Configuration page.
  * New upstream release 410 series.
    - Updated nvidia-settings to allow continued interaction with other
      pages and help content while editing application profiles.
  * Bump watch file version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Jan 2021 15:08:14 +0100

=== debian/control ===
Source: nvidia-settings
Section: x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk-3-dev,
 libjansson-dev,
 libvdpau-dev (>= 0.9),
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 xserver-xorg-dev,
Build-Conflicts:
 libxnvctrl-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git

Package: nvidia-settings
Section: contrib/x11
Architecture: amd64 arm64
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 , ${nvidia}-alternative
 , libxnvctrl0 (= ${binary:Version})
 , ${shlibs:Depends}, ${misc:Depends}
Recommends:
 , libgl1-${nvidia}-glvnd-glx
 , ${nvidia}-vdpau-driver
 , lib${nvidia}-ml1
Provides:
 nvidia-settings-gtk-${nvidia:Version},
Conflicts:
 nvidia-settings-gtk-${nvidia:Version},
Description: tool for configuring the NVIDIA graphics driver${nvidia:VariantDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NV-CONTROL X extension (runtime library)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
 .
 This package contains the shared library.

Package: libxnvctrl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libxnvctrl0 (= ${binary:Version}),
 ${misc:Depends}
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.

=== debian/watch ===
version=4
https://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(.*).tar.(?:gz|bz2)

## nvidia-settings 460.32.03

=== src/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk

XNVCTRL_DIR ?= ../src/libXNVCtrl

include $(XNVCTRL_DIR)/xnvctrl.mk

##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

PKG_CONFIG            ?= pkg-config

ifndef GTK2_CFLAGS
  GTK2_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
endif

ifndef GTK2_LDFLAGS
  GTK2_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-2.0)
endif

ifndef GTK3_AVAILABLE
  GTK3_AVAILABLE := $(shell $(PKG_CONFIG) --exists gtk+-3.0 && echo 1)
endif

ifeq (1,$(GTK3_AVAILABLE))
  ifndef GTK3_CFLAGS
    GTK3_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-3.0)
  endif

  ifndef GTK3_LDFLAGS
    GTK3_LDFLAGS         := -Wl,--no-as-needed $(shell $(PKG_CONFIG) --libs gtk+-3.0)
  endif
else
  GTK3_CFLAGS ?=
  GTK3_LDFLAGS ?=
endif

# If GTK3_CFLAGS is set, try and build GTK3LIB
ifdef GTK3_CFLAGS
  BUILD_GTK3LIB = 1
endif

ifndef VDPAU_CFLAGS
  VDPAU_CFLAGS        := $(shell $(PKG_CONFIG) --cflags vdpau 2> /dev/null)
  ifeq ($(VDPAU_CFLAGS),)
    VDPAU_CFLAGS       = -I /usr/include
  endif
endif

ifndef DBUS_CFLAGS
  DBUS_CFLAGS        := $(shell $(PKG_CONFIG) --cflags dbus-1 2> /dev/null)
  ifeq ($(DBUS_CFLAGS),)
    DBUS_CFLAGS       = -I /usr/include/dbus-1.0/
  endif
endif

# These will be unused if nvidia-settings links dynamically against jansson
ifndef JANSSON_CFLAGS
  JANSSON_CFLAGS  = -Wno-cast-qual
  JANSSON_CFLAGS += -Wno-unused-function
  JANSSON_CFLAGS += -DHAVE_CONFIG_H
  ifeq ($(TARGET_ARCH),armv7l)
    JANSSON_CFLAGS += -Wno-unused-but-set-variable
  endif
endif

##############################################################################
# The XF86Config-parser, libXNVCtrl, and common-utils directories may
# be in one of two places: either elsewhere in the driver source tree
# when building nvidia-settings as part of the NVIDIA driver build (in
# which case, XNVCTRL_DIR, XNVCTRL_ARCHIVE, XCONFIG_PARSER_DIR,
# COMMON_UTILS_DIR and COMMON_UNIX_DIR should be defined by the calling
# makefile), or directly in the source directory when building from the
# nvidia-settings source tarball (in which case, the below conditional
# assignments should be used)
##############################################################################

XNVCTRL_DIR             ?= libXNVCtrl
XCONFIG_PARSER_DIR      ?= XF86Config-parser
COMMON_UTILS_DIR        ?= common-utils
COMMON_UNIX_DIR         ?= common-unix
VIRTUAL_RESOLUTIONS_DIR ?= $(COMMON_UNIX_DIR)/virtual-resolutions

##############################################################################
# assign variables
##############################################################################

NVIDIA_SETTINGS = $(OUTPUTDIR)/nvidia-settings

NVIDIA_SETTINGS_VERSION := $(NVIDIA_VERSION)

GTK2LIB_NAME = libnvidia-gtk2.so
GTK2LIB_DIR  = $(OUTPUTDIR)/gtk2
GTK2LIB = $(OUTPUTDIR)/$(GTK2LIB_NAME)
GTK2LIB_SONAME = $(GTK2LIB_NAME).$(NVIDIA_SETTINGS_VERSION)

ifdef BUILD_GTK3LIB
  GTK3LIB_NAME = libnvidia-gtk3.so
  GTK3LIB_DIR  = $(OUTPUTDIR)/gtk3
  GTK3LIB = $(OUTPUTDIR)/$(GTK3LIB_NAME)
  GTK3LIB_SONAME = $(GTK3LIB_NAME).$(NVIDIA_SETTINGS_VERSION)
else
  # This value is empty if we are not building GTK3 so that the
  # nvidia-settings build step has this as an empty dependency.
  GTK3LIB =
endif

CFLAGS += $(XNVCTRL_CFLAGS)

ifeq ($(TARGET_OS),SunOS)
  LDFLAGS += -Wl,-rpath=/usr/X11R6/lib -Wl,--export-dynamic
  LIBS += -lscf
endif

LDFLAGS += $(XNVCTRL_LDFLAGS)

NVML_EXPERIMENTAL ?=
CFLAGS += $(if $(NVML_EXPERIMENTAL),-DNVML_EXPERIMENTAL)


# Some older Linux distributions do not have the dynamic library
# libXxf86vm.so, though some newer Linux distributions do not have the
# static library libXxf86vm.a.  Statically link against libXxf86vm
# when building nvidia-settings within the NVIDIA driver build, but
# dynamically link against libXxf86vm in the public builds.
NV_LINK_LIBXXF86VM_STATICALLY ?= 0

ifneq ($(NV_LINK_LIBXXF86VM_STATICALLY),0)
    LIBS += -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic
else
    LIBS += -lXxf86vm
endif

# nvidia-settings depends on libjansson >= 2.2.  If NV_USE_BUNDLED_LIBJANSSON is
# set to a non-zero value, then nvidia-settings is linked statically against the
# copy of libjansson bundled in the source tarball; if it is set to 0,
# nvidia-settings is linked dynamically against the copy of libjansson on the
# host system.  By default, nvidia-settings is linked against the bundled copy.
NV_USE_BUNDLED_LIBJANSSON ?= 1

ifeq ($(NV_USE_BUNDLED_LIBJANSSON),0)
    LIBS += -ljansson
endif

# Preferably, we would use pkg-config's "--libs-only-l" and
# "--libs-only-L" options to get separate GTK_LDFLAGS and GTK_LIBS,
# appending them to LDFLAGS and LIBS, respectively.  However, the
# pkg-config(1) man page cautions:
#
#     [...] Note that the union of "--libs-only-l"  and
#     "--libs-only-L"  may be smaller than "--libs", due to flags such
#     as -rdynamic.
#
# So append all of GTK_LDFLAGS to LIBS, so that LIBS can go after
# $(OBJECTS) on the link commandline, causing libraries for linking to
# be named after the objects that depend on those libraries (needed
# for "--as-needed" linker behavior).
LIBS += -lX11 -lXext -lm $(LIBDL_LIBS)

GTK2_LIBS += $(GTK2_LDFLAGS)
GTK3_LIBS += $(GTK3_LDFLAGS)

# Include all the source lists; dist-files.mk will define NVIDIA_SETTINGS_SRC
include src.mk
SRC        += $(NVIDIA_SETTINGS_SRC)

include $(XCONFIG_PARSER_DIR)/src.mk
XCP_SRC    += $(addprefix $(XCONFIG_PARSER_DIR)/,$(XCONFIG_PARSER_SRC))

include $(COMMON_UTILS_DIR)/src.mk
SRC        += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

include $(VIRTUAL_RESOLUTIONS_DIR)/src.mk
SRC        += $(addprefix $(VIRTUAL_RESOLUTIONS_DIR)/,$(VIRTUAL_RESOLUTIONS_SRC))

OBJS        = $(call BUILD_OBJECT_LIST,$(SRC))
XCP_OBJS    = $(call BUILD_OBJECT_LIST,$(XCP_SRC))

GTK2_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR))
GTK3_OBJS    = $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR))
IMAGE_OBJS    = $(addprefix $(OUTPUTDIR)/,$(addsuffix .o,$(notdir $(IMAGE_FILES))))
IMAGE_HEADERS = $(addprefix $(OUTPUTDIR)/,$(addsuffix .h,$(notdir $(IMAGE_FILES))))

CFLAGS     += -I .
CFLAGS     += -I image_data
CFLAGS     += -I $(XNVCTRL_DIR)
CFLAGS     += -I $(XCONFIG_PARSER_DIR)/..
CFLAGS     += -I libXNVCtrlAttributes
CFLAGS     += -I xpm_data

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  CFLAGS     += -I jansson
endif

CFLAGS     += -I $(COMMON_UTILS_DIR)
CFLAGS     += -I $(VIRTUAL_RESOLUTIONS_DIR)
CFLAGS     += -I $(OUTPUTDIR)
CFLAGS     += $(VDPAU_CFLAGS)
CFLAGS     += $(DBUS_CFLAGS)
CFLAGS     += -DPROGRAM_NAME=\"nvidia-settings\"

$(call BUILD_OBJECT_LIST,$(XCP_SRC)): CFLAGS += -fPIC

$(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK2LIB_DIR)): \
    CFLAGS += $(GTK2_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..

ifdef BUILD_GTK3LIB
  $(call BUILD_OBJECT_LIST_WITH_DIR,$(GTK_SRC),$(GTK3LIB_DIR)): \
      CFLAGS += $(GTK3_CFLAGS) -fPIC -I $(XCONFIG_PARSER_DIR)/..
endif

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  $(call BUILD_OBJECT_LIST,$(JANSSON_SRC)): CFLAGS += $(JANSSON_CFLAGS)
endif

define BINARY_DATA_HEADER_RULE
  $$(OUTPUTDIR)/$(notdir $(1)).h:
	$(at_if_quiet){ \
	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_start[];\n"; \
	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_end[];\n"; \
	} > $$@
endef

##############################################################################
# build rules
##############################################################################

.PHONY: all install NVIDIA_SETTINGS_install clean clobber

all: $(NVIDIA_SETTINGS) $(GTK2LIB) $(GTK3LIB)

install: NVIDIA_SETTINGS_install NVIDIA_GTKLIB_install

NVIDIA_GTKLIB_install: $(GTK2LIB) $(GTK3LIB)
	$(MKDIR) $(LIBDIR)
	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK2LIB) \
	    $(LIBDIR)/$(GTK2LIB_SONAME)
ifdef BUILD_GTK3LIB
	$(INSTALL) $(INSTALL_LIB_ARGS) $(GTK3LIB) \
	    $(LIBDIR)/$(GTK3LIB_SONAME)
endif

NVIDIA_SETTINGS_install: $(NVIDIA_SETTINGS)
	$(MKDIR) $(BINDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)

$(eval $(call DEBUG_INFO_RULES, $(NVIDIA_SETTINGS)))
$(NVIDIA_SETTINGS).unstripped: $(OBJS) $(LIBXNVCTRL)
	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    -rdynamic -o $@ $(OBJS) $(LIBXNVCTRL) $(LIBS)

$(eval $(call DEBUG_INFO_RULES, $(GTK2LIB)))
$(GTK2LIB).unstripped: $(LIBXNVCTRL) $(GTK2_OBJS) $(XCP_OBJS) $(IMAGE_OBJS) $(VERSION_MK)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
	    $(LIBXNVCTRL) $(LIBS) $(GTK2_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \
	    -Wl,-soname -Wl,$(GTK2LIB_SONAME) \
	    $(GTK2_OBJS) $(IMAGE_OBJS) $(XCP_OBJS)

ifdef BUILD_GTK3LIB
$(eval $(call DEBUG_INFO_RULES, $(GTK3LIB)))
$(GTK3LIB).unstripped: $(LIBXNVCTRL) $(GTK3_OBJS) $(XCP_OBJS) $(IMAGE_OBJS) $(VERSION_MK)
	$(call quiet_cmd,LINK) -shared $(CFLAGS) $(LDFLAGS)  $(BIN_LDFLAGS) \
	    $(LIBXNVCTRL) $(LIBS) $(GTK3_LIBS) \
	    -Wl,--unresolved-symbols=ignore-all -o $@ \
	    -Wl,-soname -Wl,$(GTK3LIB_SONAME) \
	    $(GTK3_OBJS) $(XCP_OBJS) $(IMAGE_OBJS)
endif

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
$(foreach src,$(XCP_SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

clean clobber:
	rm -rf $(NVIDIA_SETTINGS) *~ \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GTK2LIB) $(GTK3LIB) $(GTK2LIB_DIR) $(GTK3LIB_DIR) \
		$(IMAGE_HEADERS) $(LIBXNVCTRL)

$(foreach src,$(GTK_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE_WITH_DIR,TARGET,$(src),$(GTK2LIB_DIR))))

ifdef BUILD_GTK3LIB
$(foreach src,$(GTK_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE_WITH_DIR,TARGET,$(src),$(GTK3LIB_DIR))))
endif

# Build $(IMAGE_OBJS)
$(foreach png,$(IMAGE_FILES), \
  $(eval $(call READ_ONLY_OBJECT_FROM_FILE_RULE,$(png))))

# Build $(IMAGE_HEADERS)
$(foreach png,$(IMAGE_FILES), \
  $(eval $(call BINARY_DATA_HEADER_RULE,$(png))))
$(GTK2_OBJS): $(IMAGE_HEADERS)
ifdef BUILD_GTK3LIB
  $(GTK3_OBJS): $(IMAGE_HEADERS)
endif

=== debian/changelog ===
nvidia-settings (460.32.03-1) unstable; urgency=medium

  * New upstream release 460.32.03.
  * New upstream release 460.27.04.
    - Fixed a bug with the SLI Mosaic Mode configuration dialog in
      nvidia-settings that left displays enabled when they were not needed in
      the selected configuration.
    - Removed the MetaMode string truncation warning for older X Servers when
      saving the X Configuration file from nvidia-settings.
  * Refresh patches.
  * NVCtrlLib.h is only usable after including X11/Xlib.h.  (Closes: #978192)
  * Restore hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Jan 2021 15:42:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 export PREFIX		 = /usr
 export DO_STRIP		 =
 export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
+export HOST_CC_ONLY_CFLAGS	 = $(CPPFLAGS)
 # reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
 export OUTPUTDIR	 = _out/debian
 
@@ -79,9 +80,6 @@
 		-V'nvidia:VariantDesc=$(variant_description)' \
 		-V'nvidia:Version=$(NVIDIA_RELEASE)'
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 # used by dpkg-genchanges
 debian/substvars:
 	echo 'nvidia:VariantDesc=$(variant_description)' > $@

## nvidia-settings 460.39

=== debian/changelog ===
nvidia-settings (460.39-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release.
  * debian/patches/link-order.diff,
    debian/patches/12_nostrip.patch,
    debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch
    debian/patches/08_add_prime_support.patch
    debian/patches/10_legacy_vdpau.patch
    debian/patches/11_link_as-needed.patch
    debian/patches/13_libxnvctrl_so_0.patch
    debian/patches/15_clean.patch:
    - Refresh patches.
  * debian/patches/series:
    - Drop 16_gzip-n.patch.
  * debian/patches/08_add_prime_support.patch:
    - Refresh and add support for a progress dialog
      (LP: #1915003).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Feb 2021 18:09:00 +0100

nvidia-settings (440.82-0ubuntu1) groovy; urgency=medium

  * New upstream release.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Jun 2020 11:10:39 +0200

nvidia-settings (440.64-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/rules, debian/rules.defs:
    - Add initial support for downloading the original tarball.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 11 Mar 2020 14:52:57 +0100

nvidia-settings (440.44-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/patches/08_add_prime_support.patch:
    - Refresh and make on-demand mode optional.
      This makes the same patch work on systems where
      on-demand mode is not available yet.
  * debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/08_add_prime_support.patch,
    debian/patches/10_legacy_vdpau.patch,
    debian/patches/11_link_as-needed.patch,
    debian/patches/12_nostrip.patch,
    debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/15_clean.patch,
    debian/patches/16_gzip-n.patch,
    debian/patches/link-order.diff:
    - Refresh patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 29 Jan 2020 12:13:52 +0100

## nvidia-settings 460.56

=== debian/changelog ===
nvidia-settings (460.56-1) unstable; urgency=medium

  * New upstream release 460.56.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Mar 2021 10:03:33 +0100

## nvidia-settings 460.73.01

=== debian/changelog ===
nvidia-settings (460.73.01-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 460.73.01.

  [ Pino Toscano ]
  * Install nvidia-settings.png in the hicolor icon theme, rather than the
    legacy pixmaps location.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 25 May 2021 09:45:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,8 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
 	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
-	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(-variant).png
+	install -d -m 0755 debian/tmp/usr/share/icons/hicolor/128x128/apps/
+	install -m 0644 doc/nvidia-settings.png debian/tmp/usr/share/icons/hicolor/128x128/apps/nvidia-settings$(-variant).png
 endif
 
 execute_after_dh_auto_clean:

## nvidia-settings 460.91.03

=== debian/changelog ===
nvidia-settings (460.91.03-1) unstable; urgency=medium

  * New upstream release 460.91.03.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jul 2021 12:36:00 +0200

=== debian/control ===
--- 
+++ 
@@ -71,6 +71,7 @@
 Multi-Arch: same
 Depends:
  libxnvctrl0 (= ${binary:Version}),
+ libx11-dev,
  ${misc:Depends}
 Description: NV-CONTROL X extension (development files)
  The NV-CONTROL X extension provides a mechanism for X clients to

## nvidia-settings 470.57.01

=== doc/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The common-utils directory may be in one of two places: either
# elsewhere in the driver source tree when building nvidia-settings as
# part of the NVIDIA driver build (in which case, COMMON_UTILS_DIR
# should be defined by the calling makefile), or directly in the
# source directory when building from the nvidia-settings source
# tarball (in which case, the below conditional assignments should be
# used)
##############################################################################

COMMON_UTILS_DIR      ?= ../src/common-utils


##############################################################################
# assign variables
##############################################################################

MANPAGE_GZIP ?= 1

MANPAGE_gzipped         = $(OUTPUTDIR)/nvidia-settings.1.gz
MANPAGE_not_gzipped 	= $(OUTPUTDIR)/nvidia-settings.1
ifeq ($(MANPAGE_GZIP),1)
  MANPAGE               = $(MANPAGE_gzipped)
else
  MANPAGE               = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS        = $(OUTPUTDIR_ABSOLUTE)/gen-manpage-opts
OPTIONS_1_INC           = $(OUTPUTDIR)/options.1.inc

common_cflags += -I $(COMMON_UTILS_DIR)
common_cflags += -I ../src/libXNVCtrlAttributes
common_cflags += -I $(OUTPUTDIR)

CFLAGS += $(common_cflags)
HOST_CFLAGS += $(common_cflags)

##############################################################################
# build rules
##############################################################################

.PNONY: all install MANPAGE_install clean clobber

all: $(MANPAGE)

install: MANPAGE_install

MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(MANDIR)
	$(INSTALL) $(INSTALL_DOC_ARGS) $< $(MANDIR)/$(notdir $<)

clean clobber:
	rm -rf $(MANPAGE) *~ $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)


##############################################################################
# Documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

doc: $(MANPAGE)

GEN_MANPAGE_OPTS_SRC  = ../src/gen-manpage-opts.c
GEN_MANPAGE_OPTS_SRC += $(COMMON_UTILS_DIR)/gen-manpage-opts-helper.c

GEN_MANPAGE_OPTS_OBJS = $(call BUILD_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))

$(foreach src, $(GEN_MANPAGE_OPTS_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE,HOST,$(src))))

$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
	$(call quiet_cmd,HOST_LINK) \
	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@$< > $@

$(MANPAGE_not_gzipped): nvidia-settings.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
	$(call quiet_cmd,M4) \
	  -D__HEADER__=$(AUTO_TEXT) \
	  -D__BUILD_OS__=$(TARGET_OS) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -I $(OUTPUTDIR) \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9nf < $< > $@

=== src/Makefile ===
--- 
+++ 
@@ -242,6 +242,7 @@
 
 define BINARY_DATA_HEADER_RULE
   $$(OUTPUTDIR)/$(notdir $(1)).h:
+	$(at_if_quiet)$(MKDIR) $$(OUTPUTDIR)
 	$(at_if_quiet){ \
 	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_start[];\n"; \
 	  $$(PRINTF) "extern const char _binary_$(subst .,_,$(notdir $(1)))_end[];\n"; \

=== src/libXNVCtrl/Makefile ===
# Copyright (c) 2008 NVIDIA, Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= .

include $(UTILS_MK_DIR)/utils.mk

XNVCTRL_DIR ?= .
include $(XNVCTRL_DIR)/xnvctrl.mk


##############################################################################
# assign variables
##############################################################################

CFLAGS += $(XNVCTRL_CFLAGS)
CFLAGS += -I .
CFLAGS += -fPIC
CFLAGS += -I $(OUTPUTDIR)
CFLAGS += -I $(XNVCTRL_DIR)

LDFLAGS += $(XNVCTRL_LDFLAGS)

##############################################################################
# build rules
##############################################################################

.PHONY: clean

all: $(LIBXNVCTRL)

clean:
	rm -rf $(LIBXNVCTRL) *~ \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d

=== debian/changelog ===
nvidia-settings (470.57.01-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 Jul 2021 16:52:10 +0200

nvidia-settings (465.31-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1931131).
  * debian/patches/12_nostrip.patch,
    debian/patches/14_nvidia-settings.desktop.patch:
    - Refresh the patches.
  * debian/compat, debian/control:
    - Depend on debhelper 10 and update standards.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 14 Jun 2021 13:56:49 +0200

nvidia-settings (460.73.01-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1925522).
  * debian/patches/08_add_prime_support.patch:
    - Stop the timeout after the child is done. This fixes an error
      that g_type_check_instance_is_a() was throwing.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 05 May 2021 15:48:47 +0200

nvidia-settings (460.39-0ubuntu0.18.04.2) bionic; urgency=medium

  * debian/patches/13_libxnvctrl_so_0.patch:
    - Put -fPIC back in for XNVCTRL_CFLAGS.
      This is only needed in bionic, and was accidentally
      dropped.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Mar 2021 13:00:10 +0100

nvidia-settings (460.39-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release.
  * debian/patches/link-order.diff,
    debian/patches/12_nostrip.patch,
    debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch
    debian/patches/08_add_prime_support.patch
    debian/patches/10_legacy_vdpau.patch
    debian/patches/11_link_as-needed.patch
    debian/patches/13_libxnvctrl_so_0.patch
    debian/patches/15_clean.patch:
    - Refresh patches.
  * debian/patches/series:
    - Drop 16_gzip-n.patch.
  * debian/patches/08_add_prime_support.patch:
    - Refresh and add support for a progress dialog
      (LP: #1915003).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Feb 2021 10:59:39 +0100

nvidia-settings (440.82-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1881137).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Jun 2020 11:23:34 +0200

nvidia-settings (440.44-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1854485).
  * debian/patches/13_libxnvctrl_so_0.patch:
    - Add -fPIC to the XNVCTRL_CFLAGS.
      This seems to be needed only in 18.04.
  * debian/patches/08_add_prime_support.patch:
    - Refresh and make on-demand mode optional.
      This makes the same patch work on systems where
      on-demand mode is not available yet.
  * debian/patches/05_add_polkit_support.patch,
    debian/patches/06_remove_local_prefix.patch,
    debian/patches/07_remove_features_for_legacy.patch,
    debian/patches/08_add_prime_support.patch,
    debian/patches/10_legacy_vdpau.patch,
    debian/patches/11_link_as-needed.patch,
    debian/patches/12_nostrip.patch,
    debian/patches/13_libxnvctrl_so_0.patch,
    debian/patches/15_clean.patch,
    debian/patches/16_gzip-n.patch,
    debian/patches/link-order.diff:
    - Refresh patches.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 29 Jan 2020 12:34:53 +0100

nvidia-settings (390.77-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release.
  * 08_add_prime_support.patch:
    - Recommend a simple log out (LP: #1778011).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 02 Aug 2018 16:30:52 +0200

=== debian/control ===
Source: nvidia-settings
Section: x11
Priority: optional
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Uploaders: Randall Donald <rdonald@debian.org>
Build-Depends: debhelper (>= 10), dh-exec (>= 0.3), m4, libgtk2.0-dev, libgtk-3-dev, libxext-dev, xutils-dev, libxrandr-dev,
 libgl1-mesa-dev | libgl-dev, libxxf86vm-dev, libxv-dev, libvdpau-dev, libjansson-dev (>= 2.2)
Build-Conflicts: libxnvctrl-dev
Standards-Version: 4.1.4
Vcs-Git: git://github.com/tseliot/nvidia-settings.git
Vcs-Browser: http://github.com/tseliot/nvidia-settings

Package: nvidia-settings
Section: contrib/x11
Architecture: i386 amd64 armhf arm64 ppc64el
Depends: pkg-config, screen-resolution-extra (>= 0.12),
 libvdpau1, ${shlibs:Depends}, ${misc:Depends}
Conflicts: nvidia-settings-binary
Replaces: nvidia-settings-binary
Provides: nvidia-settings-binary
Description:  Tool for configuring the NVIDIA graphics driver
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NV-CONTROL X extension (runtime library)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
 .
 This package contains the shared library.

Package: libxnvctrl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libxnvctrl0 (= ${binary:Version}),
 ${misc:Depends}
Breaks:
 nvidia-settings (<< 346.35-0ubuntu2~),
Replaces:
 nvidia-settings (<< 346.35-0ubuntu2~),
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2009 Canonical Ltd.

PKG_name    := nvidia-settings

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export NV_USE_BUNDLED_LIBJANSSON = 0

build: build-arch
build-arch:
	$(MAKE) -C src/libXNVCtrl EXTINCSRC=/usr/include/X11/extensions \
		CFLAGS="$(CFLAGS) -fPIC"
	$(MAKE)

clean:
	-$(MAKE) -C src/libXNVCtrl clean 2>/dev/null
	-$(MAKE) clean
	if [ -e src/XF86Config-parser/Makefile ]; then \
		$(MAKE) -C src/XF86Config-parser clean; \
	fi

	rm -Rf $(CURDIR)/_out */_out

	dh clean

binary-arch:
	#dh_auto_install -- prefix=$(CURDIR)/debian/$(PKG_name)$(PKG_libdir)
	$(MAKE) PREFIX=$(CURDIR)/debian/$(PKG_name)/usr install

	#Run the normal stuff
	dh binary-arch

binary: binary-arch binary-indep ;
	#Run the normal stuff
	dh binary

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

override_dh_gencontrol:
	set -ex; \
	if [ -f debian/nvidia-settings.substvars ]; then \
		sed -ri -e 's/(^[^:]*:Depends=)/\1 GTK3 | GTK2, /' \
			-e 's/(GTK2)(.*)(libgtk2.0-0 \([^\)]*\))/\3\2/' \
			-e 's/(GTK3)(.*)(libgtk-3-0 \([^\)]*\))/\3\2/' \
			debian/nvidia-settings.substvars ; \
		! grep GTK debian/nvidia-settings.substvars ; \
	fi
	dh_gencontrol

override_dh_installexamples:
	dh_installexamples -X"_out" -a

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/$(PKG_name)

override_dh_usrlocal:
	rm -Rf $(CURDIR)/debian/$(PKG_name)/usr/local

%:
	dh $@

## nvidia-settings 470.57.02

=== debian/changelog ===
nvidia-settings (470.57.02-2~ab11+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    7f5362667d560825b4562bbdc015a92df5056727.
  * External port from: https://deb.debian.org/debian/pool/main/n/nvidia-
    settings/nvidia-settings_470.57.02-2.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Mon, 01 Nov 2021 16:52:52 +0100

nvidia-settings (470.57.02-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Aug 2021 13:17:32 +0200

nvidia-settings (470.57.02-1) experimental; urgency=medium

  * New upstream release 470.57.02.
    - Updated the nvidia-settings command line interface to confirm successful
      assignment of string attributes. This makes the behavior more consistent
      with other types of attribute assignments.
  * New upstream release 470.42.01.
    - Updated GPU fan control to be available by default in
      nvidia-settings and NV-CONTROL, for GPU boards that support
      programmable fan control.  Previously, this was only available
      when bit 2 was set in the "Coolbits" X config option.
  * New upstream release 465.19.01.
    - Updated the nvidia-settings control panel to be more consistent about
      displaying layout controls which are only applicable for some displays
      or GPUs connected to the system.
  * Refresh patches.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jul 2021 14:57:05 +0200
